package mvd.jester.simulator.events;

import mvd.jester.model.Subtask;
import mvd.jester.simulator.model.JobContext;

public class SubtaskActivatedEvent extends AbstractEvent {

    private final JobContext job;
    private final Subtask subtask;

    public SubtaskActivatedEvent(final long time, final JobContext job, final Subtask subtask) {
        super(EventType.SUBTASK_ACTIVATED, time);
        this.job = job;
        this.subtask = subtask;
    }


    /**
     * @return the job
     */
    public JobContext getJobContext() {
        return job;
    }

    /**
     * @return the subtask
     */
    public Subtask getSubtask() {
        return subtask;
    }

    @Override
    protected String getLoggingMessage() {
        return "Subtask " + getSubtask() + " released";
    }

}
